# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

toxcore_system_users:   "{{ base_system_users }}"
toxcore_also_users: "{{ base_also_users }}"

toxcore_standard_users_groups_guest:
  - disk

toxcore_standard_users_groups_host:
  - disk
  - "{{ 'libvirt' if 'libvirt' in TOXCORE_FEATURES else '' }}"
  - "{{ 'qemu' if ( 'qemu' in TOXCORE_FEATURES or 'libvirt' in TOXCORE_FEATURES ) else '' }}"
  - "{{ 'kvm' if ( 'qemu' in TOXCORE_FEATURES or 'libvirt' in TOXCORE_FEATURES ) else '' }}"
  - "{{ 'docker' if 'docker' in TOXCORE_FEATURES else '' }}"

toxcore_libvirt_services:
  - libvirtd
#  - qemu-guest-agent

toxcore_pkgs_inst_guest: []

toxcore_pkgs_inst:
  - net-firewall/iptables
  - app-portage/gentoolkit
  - sys-apps/gptfdisk
  - app-admin/testdisk
  - app-arch/zstd
  - net-firewall/ebtables
  - net-misc/bridge-utils
  - sys-apps/sdparm
  - sys-apps/hdparm
  # install
  - app-misc/jq
  - dev-vcs/git
  - net-vpn/corkscrew
  - net-analyzer/openbsd-netcat
  ### virt-manager
  - media-libs/libvpx
  - net-libs/libpsl
  - x11-libs/libxcb
  - x11-libs/libxkbcommon
  - dev-libs/libxml2
  - dev-python/argcomplete
  - dev-python/libvirt-python
  - dev-python/pygobject
  - dev-python/requests
  - gnome-base/dconf
  - net-libs/gtk-vnc
  - sys-apps/dbus
  - x11-libs/gtk+
  - x11-libs/gtksourceview
  - x11-libs/vte

toxcore_pkgs_masked:
  - x11-drivers/xf86-video-amdgpu
  - x11-drivers/xf86-video-mga
  - x11-drivers/xf86-video-radeon
  - x11-drivers/xf86-video-siliconmotion
  - x11-drivers/xf86-video-via

toxcore_zfs_pkgs_inst:
  - sys-fs/zfs-kmod
  - sys-fs/zfs

toxcore_qemu_pkgs_inst:
  - app-emulation/qemu
  - app-emulation/aqemu
  - app-emulation/spice
  - net-misc/spice-gtk
  - qemu-guest-agent

toxcore_libvirt_pkgs_inst:
  - app-emulation/libvirt
  - dev-python/libvirt
  - app-emulation/virt-manager
  - app-emulation/virt-viewer
  - x11-drivers/xf86-video-qxl
#  - sys-block/open-iscsi
  - sys-firmware/edk2-ovmf
  - app-emulation/libguestfs
  - sys-block/nbd
#?  - app-emulation/libguestfs-appliance
  - dev-python/libvirt-python
  - app-emulation/virtiofsd

toxcore_docker_pkgs_inst:
  - sys-process/tini
  - app-emulation/docker
  #? - dev-python/docker-pycreds
  - dev-python/dockerpty
  - dev-python/docker-py
  - app-containers/docker
#  - app-containers/docker-compose

toxcore_pips2_inst: []

toxcore_pips3_inst:
  - pycrypto
  - pywinrm
  - requests-unixsocket
  - ovirt-engine-sdk-python
  - msgpack_python
  - pysha3
  - pycryptodomex
  - pyanalyze
  - negotiator-host
